summaryrefslogtreecommitdiffstats
path: root/deploy
diff options
context:
space:
mode:
Diffstat (limited to 'deploy')
-rwxr-xr-xdeploy15
1 files changed, 15 insertions, 0 deletions
diff --git a/deploy b/deploy
new file mode 100755
index 000000000..d435ec8b1
--- /dev/null
+++ b/deploy
@@ -0,0 +1,15 @@
+#! /bin/sh
+#
+# usage: ./deploy CONFIG [[USER@]HOST]
+#
+set -euf
+
+. ./lib/prelude.sh
+
+user=root
+host=$1
+
+config=./$host.nix
+target=${2-$user@$host}
+
+verbose deploy "$config" "$target"